Subject: linux-next: next-20230918: x86 build fails

From: "Aithal, Srikanth" <[email-masked]>
Date: Tue, 19 Sep 2023 09:24:53 +0530

Hi all,

linux-next: next-20230918: x86 build fails with below error:

arch/x86/net/bpf_jit_comp.c: In function ‘arch_bpf_stack_walk’:
arch/x86/net/bpf_jit_comp.c:3022:72: error: ‘struct unwind_state’ has no 
member named ‘sp’; did you mean ‘bp’?
3022 |                 if (!addr || !consume_fn(cookie, (u64)addr, 
(u64)state.sp, (u64)state.bp))
|                                                                        ^~
|                                                                        bp
make[4]: *** [scripts/Makefile.build:243: arch/x86/net/bpf_jit_comp.o] 
Error 1
make[3]: *** [scripts/Makefile.build:480: arch/x86/net] Error 2

Thanks,
Srikanth Aithal